Bug 1055320 - Mechanism to disable installation failure detection per recipe
Summary: Mechanism to disable installation failure detection per recipe
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: future_maint
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 00:41 UTC by Dan Callaghan
Modified: 2020-05-22 14:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-22 14:05:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Beaker Project Gerrit 6582 None ABANDONED Expand watchdog panic with `ignore_install` and `ignore_others` 2020-05-20 07:32:32 UTC
Red Hat Bugzilla 1083028 None None None 2019-10-25 08:09:30 UTC

Internal Links: 1083028

Description Dan Callaghan 2014-01-20 00:41:46 UTC
For bug 952661 (install failure detection) we will be re-using the panic="ignore" attribute on <watchdog/> as a means of opting out of the log scanning. However it would be better if there were a separate, better named attributed specifically for controlling the install failure detection. For example:

    <watchdog panic="ignore" install_failure="ignore"/>

Comment 2 Nick Coghlan 2014-01-20 02:59:56 UTC
To clarify the spec for this, the behaviour if "install_failure" was not provided explicitly would still be driven by the requested behaviour for panic detection (to match the initial behaviour in Beaker 0.15.3).

The new option would just allow additional configurations like:

- ignoring install failures without ignoring panics
- ignoring panics without ignoring install failures

Comment 3 Tomas Klohna 🔧 2019-05-28 16:55:10 UTC
I would like to modify this proposal for sake of backwards compatibility and less complication.

        # panic="ignore"            > ignore all panic messages                  - Current approach
        # panic="ignore_others"     > ignore all but install failures
        # panic="ignore_install"    > ignore panic message during installation


Note You need to log in before you can comment on or make changes to this bug.